{% extends 'pages/pages_base.html.twig' %}

{% block title %} {{ title }} {% endblock %}

{% block pages_body %}

    <div class="Shopping-cart-area">
        <div class="container">
            <div class="row">
                <div class="col-12">

                    <div class="row mb-5">
                        <div class="col-12">
                            <div class="coupon-all">
                                <a href="{{ path('admin_product_create') }}" class="button">Create product</a>
                            </div>
                        </div>
                    </div>

                    <form method="get">
                        <div class="row mb-5">
                            <div class="col-11">
                                <input placeholder="Search in products ..." name="q" type="search" class="form-control" value="{{ app.request.query.get('q') }}" />
                            </div>
                            <div class="col-1">
                                <button type="submit" class="button but">
                                    <i class="fas fa-search"></i>
                                </button>
                            </div>
                        </div>
                    </form>

                    <div class="table-content table-responsive">
                        <table class="table mb-5">
                            <thead>
                                <tr>
                                    <th class="anadi-product-thumbnail">Image</th>
                                    <th class="cart-product-name">Category</th>
                                    <th class="cart-product-name">Title</th>
                                    <th class="anadi-product-price">Price</th>
                                    <th class="anadi-product-quantity">Discount</th>
                                    <th class="anadi-product-subtotal">Final price</th>
                                    <th class="anadi-product-subtotal">Stock</th>
                                    <th class="anadi-product-subtotal">Created time</th>
                                    <th class="anadi-product-remove">Edit</th>
                                </tr>
                            </thead>
                            <tbody>
                            {% for product in pagination %}
                                <tr>
                                    <td class="anadi-product-thumbnail">
                                        <img src="{{ asset(product.imagePath) }}" alt="{{ product.title }}" width="100">
                                    </td>
                                    <td class="anadi-product-name">
                                        {{ product.category.title }}
                                    </td>
                                    <td class="anadi-product-name">
                                        {{ product.title }}
                                    </td>
                                    <td class="anadi-product-name">
                                        <span class="amount">$<span class="money">{{ product.price }}</span></span>
                                    </td>
                                    <td class="anadi-product-name">
                                        <span class="amount">%{{ product.discount }}</span>
                                    </td>
                                    <td class="product-subtotal">
                                        <span class="amount">$<span class="money">{{ product.finalPrice }}</span></span>
                                    </td>
                                    <td class="product-subtotal">
                                        <span class="amount">{{ product.stock }}</span>
                                    </td>
                                    <td class="anadi-product-name">
                                        {{ product.createdAt|ago }}
                                    </td>
                                    <td class="anadi-product-remove">
                                        <a href="{{ path('admin_product_edit',{'id':product.id}) }}">
                                            <i class="fa fa-pencil-alt"></i>
                                        </a>
                                    </td>
                                    {#<td class="anadi-product-remove">
                                        <a href="#">
                                            <i class="fa fa-times"></i>
                                        </a>
                                    </td>#}
                                </tr>
                            {% else %}
                                <tr>
                                    <td colspan="9">No product found</td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>

                    </div>

                    <div class="row">
                        <div class="col-lg-12 col-md-12 col-12">

                            <div class="pagination-style text-center">

                                {{ knp_pagination_render(pagination) }}

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

{% endblock %}
